/*
 * Copyright 2014, ACKme Networks
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of ACKme Networks;
 * the contents of this file may not be disclosed to third parties, copied
 * or duplicated in any form, in whole or in part, without the prior
 * written permission of ACKme Networks.
 */

#pragma once


// The BAUD rate your PC/MAC/Linux terminal uses with the eval board
#define CONSOLE_BAUD 115200


// Uncomment this to enable WiConnect serial interface hardware flow control
// NOTE: your platform must support the serial flow control api functions
//#define ENABLE_FLOW_CONTROL


#define WICONNECT_INTERNAL_BUFFER_SIZE (4*1024)
#define WICONNECT_SERIAL_RX_BUFFER_SIZE (4*1024)

#define DEFAULT_CMD_GETCHAR_TIMEOUT 250
#define DEFAULT_COMMAND_LINE_LENGTH_MAX 128
#define DEFAULT_COMMAND_MAX_HISTORY 16
#define DEFAULT_CMD_PROMPT_STR "> "
#define DEFAULT_COMMAND_MAX_ARGV 16

#define TEST_NONBLOCKING_API false
#define TEST_BUFFER_LENGTH 4*1024


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Seabass Target Configuration
#ifdef TARGET_SEABASS

#define WICONNECT_TX_PIN PA_9
#define WICONNECT_RX_PIN PA_10
#define WICONNECT_RESET_PIN PB_0
#define WICONNECT_WAKE_PIN NC

#ifdef ENABLE_FLOW_CONTROL
#define WICONNECT_CTS_PIN PA_11
#define WICONNECT_RTS_PIN PA_12
#else
#define WICONNECT_CTS_PIN NC
#define WICONNECT_RTS_PIN NC
#endif

#endif


//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Nucleo F401RE Target Configuration
#ifdef TARGET_NUCLEO_F401RE

#define WICONNECT_TX_PIN PA_9
#define WICONNECT_RX_PIN PA_10
#define WICONNECT_RESET_PIN PC_7
#define WICONNECT_WAKE_PIN NC

#ifdef ENABLE_FLOW_CONTROL
#define WICONNECT_CTS_PIN PA_11
#define WICONNECT_RTS_PIN PA_12
#else
#define WICONNECT_CTS_PIN NC
#define WICONNECT_RTS_PIN NC
#endif

#endif
